Get Connections Endpoint
curl --request GET \
--url https://api.example.com/api/v1/users/{user_id}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/users/{user_id}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/users/{user_id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"provider_user_id": "<string>",
"provider_username": "<string>",
"scope": "<string>",
"icon_url": "<string>",
"max_historical_days": 123,
"rest_pull": false,
"webhook_stream": false,
"webhook_ping": false,
"webhook_callback": false,
"live_sync_mode": "pull",
"linked_user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Connections
Get Connections Endpoint
Get all connections for a user, enriched with provider capability metadata.
GET
/
api
/
v1
/
users
/
{user_id}
/
connections
Get Connections Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
Successful Response
Status of a user connection to a provider.
Available options:
active, revoked, expired Relative URL to provider icon (e.g., '/static/provider-icons/garmin.svg'). Resolve against the API base URL.
Available options:
pull, webhook Was this page helpful?

